MARTe2-core - User story #237

I0Buffer
29.09.2015 16:33 - André Neto

Status: Closed Start date: 29.09.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Port the IOBuffer classes from the develop_svn branch.
The IOBuffer classes contain all the infrastructure that is common to all the streams.

Source code files modified

o BufferedStreamlOBuffer
e CharBuffer

¢ |OBuffer

e StreamStringlOBuffer

Architecture & design review
Date of the review: 29/09/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: PASS

List of non-conformities:

Code and documentation review
Date of the review: 20/10/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 22/10/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS
List of non-conformities: N/A

Associated revisions

Revision 1f4aead5 - 01.10.2015 17:58 - Giuseppe Ferro

Added tests and solved compile errors
#237

Revision b0ab4b47 - 01.10.2015 18:42 - Giuseppe Ferro

IOBuffer lint in progress...
#237

Revision 2e57e606 - 02.10.2015 15:06 - Giuseppe Ferro

Added documentation and future files.
#237

Revision e7d347aa - 02.10.2015 16:45 - Giuseppe Ferro

Added templates to other IOBuffers
#237

Revision b6143a27 - 02.10.2015 16:58 - André Neto
#237 Linted CharBuffer.

Revision 63dea30a - 02.10.2015 17:01 - André Neto
Merge branch 'lOBuffer_#237' into #237.1_CharBuffer
Conflicts:

MakeDefaults/Lint/marte_flint_files.Int
Source/Core/BareMetal/L3Streams/CharBuffer.cpp
Source/Core/BareMetal/L3Streams/CharBuffer.h

Source/Core/BareMetal/L3Streams/IOBuffer.cpp
Source/Core/BareMetal/L3Streams/IOBuffer.h

Revision c461dc27 - 05.10.2015 12:44 - Giuseppe Ferro

Removed default parameters from I0OBuffers.
Put CharBuffer as an attribute of IOBuffer.

Put granularity in the constructor of CharBuffer.
#237

Revision 88031246 - 05.10.2015 16:33 - lvan Herrero
#237 - Lint StreamStringlOBuffer

Revision b0359b81 - 05.10.2015 17:07 - lvan Herrero

#237 - Fix merge errors

Revision a4695457 - 06.10.2015 16:02 - lvan Herrero

#237 - Lint code and improve documentation of CharBuffer class

Revision aab0dc20 - 06.10.2015 17:12 - lvan Herrero

#237 - Fix the allocation granularity as the public concept of the
class, instead of the allocation granularity mask which will remain as
the implementation of the allocation granularity concept.

Revision f7fe41d2 - 06.10.2015 17:39 - Giuseppe Ferro

Merge remote-tracking branch 'origin/#238.1_Streams' into
#237.2_|OBuffer_Functions

Conflicts:
MakeDefaults/Lint/marte_flint_files.Int
Source/Core/BareMetal/L3Streams/IOBuffer.h

Revision ada33c0f - 07.10.2015 11:35 - Giuseppe Ferro
- Moved all Print functions in cpp files.

- Added Token and PrintFormatted functions to IOBuffer.
- Lint of IOBufferFunctions.cpp done.

#237

Revision fb1953e6 - 07.10.2015 18:16 - Ivan Herrero

#237 - Add new getters and fix style, documentation, lint, and
constness.

Revision ee871668 - 08.10.2015 13:44 - Giuseppe Ferro

Linting of
I0BufferFunctions.cpp
I0OBufferIntegerPrint.cpp
|0OBufferFloatPrint.cpp
BitSetTolnteger.h

done.

#237

Revision fd930531 - 08.10.2015 15:55 - Giuseppe Ferro

Lint of IOBuffers, Streams and IOBufferFunctions done.
#237 #238

Revision bc2a385b - 09.10.2015 12:00 - Giuseppe Ferro

CharBuffer test done.
#237

Revision 34d91de6 - 09.10.2015 18:29 - Giuseppe Ferro

Added |OBuffer tests.
Work in progress.
#237

Revision 200d6cf3 - 13.10.2015 18:33 - Giuseppe Ferro

Work in progress: |OBuffer tests
#237

Revision b0474e83 - 14.10.2015 14:51 - Giuseppe Ferro

Removed the RawStream pointer to BufferedStream and added unbuffered
virtual functions instead.

Work in progress with buffer tests.

#237 #238

Revision 05266949 - 14.10.2015 15:56 - Giuseppe Ferro

Moved all the file I0BufferFunctions into IOBuffer.cpp
#237

Revision adad1d9b - 14.10.2015 16:24 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#238.1_Streams' into
#237.2_10Buffer_Functions

Conflicts:
Source/Core/BareMetal/L3Streams/SingleBufferedStream.cpp
Source/Core/BareMetal/L3Streams/SingleBufferedStream.h
Source/Core/BareMetal/L3Streams/StreamMemoryReference.cpp
Source/Core/BareMetal/L3Streams/StreamString.cpp

Revision bc28ad06 - 15.10.2015 09:35 - André Neto

#237 and #238 finished consistent implementation of timeout.
Revision e26daf3e - 15.10.2015 10:22 - Giuseppe Ferro

Moved a function
#237
Revision 7e04bc5a - 15.10.2015 10:30 - Giuseppe Ferro

Merge remote-tracking branch 'origin/#238.1_Streams' into
#237.2_10Buffer_Functions

Conflicts:
Source/Core/BareMetal/L3Streams/BufferedStreamIOBuffer.cpp

Revision 7d7b7d48 - 15.10.2015 10:53 - André Neto

#237 handled error conditions in DoubleBufferedStream

Revision 1f18788c - 15.10.2015 11:07 - André Neto
#237 started handling of error conditions in I0Buffer.

Revision e46abbc0 - 15.10.2015 11:45 - André Neto
#237 Implemented all the missing IOBuffer error handling functions.

| have also converted the functions in I0Buffer that had return true to
void return function.

Revision 82d6501a - 15.10.2015 11:49 - Giuseppe Ferro
Merge remote-tracking branch 'origin/237.3_IOBuffer_TODO_cleanup' into #237.2_IOBuffer_Functions

Revision 9359eef9 - 16.10.2015 10:40 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#238.1_Streams' into
#237.2_l|OBuffer_Functions

Conflicts:
Source/Core/BareMetal/L3Streams/IOBuffer.cpp

Revision 1b446f05 - 16.10.2015 15:35 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#238.2_Streams_Test' into
#237.2_l0OBuffer_Functions

Conflicts:
Source/Core/BareMetal/L3Streams/IOBuffer.cpp

Revision b5fb4f5a - 19.10.2015 12:08 - Giuseppe Ferro

Added Shift tests.

Added CanRead check before GetToken in streams
Added CanWrite check before Printf in streams
#237 #238

Revision 12887609 - 20.10.2015 10:26 - Llorenc Capella

#237.3_shift

Shift class imported from SVN.

List of changes: * MathematicSafeShift function was splited in two functions:

MathematicRhifhtSafeShift and MathematicLeftSafeShift. ~ * The LogicalLeftShift functions were not used so they were delated * Some tests were
added in order test the class changes. * Documentation reviewed and files fotmated

Revision f98e8555 - 20.10.2015 12:44 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#238.2_Streams_Test' into #237.2_IOBuffer_Functions

Revision 27984c0c - 20.10.2015 17:49 - Riccardo Vitelli
Merge branch '#237.2_IOBuffer_Functions' of https:/rvitelli@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #237.2_|OBuffer_Functions

Revision 45569402 - 20.10.2015 18:54 - Giuseppe Ferro
Merge branch '#237.2_IOBuffer_Functions' of https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.qit into #237.2_I0Buffer_Functions

History

#1 - 29.09.2015 16:33 - André Neto
https://rvitelli@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git

- Target version set to 0.6

#2 - 29.09.2015 16:34 - André Neto
- Status changed from New to Code: Impl

#3 - 01.10.2015 11:11 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#4 - 14.10.2015 12:25 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#5 - 14.10.2015 12:25 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#6 - 15.10.2015 09:05 - André Neto
- Status changed from Code: Rev to Code: Impl

#7 - 15.10.2015 09:05 - André Neto
- Status changed from Code: Impl to Code: Rev

#8 - 15.10.2015 09:05 - André Neto
- Status changed from Code: Rev to Code: Impl

#9 - 15.10.2015 09:30 - lvan Herrero

- Assignee set to Ivan Herrero

#10 - 20.10.2015 17:59 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#11 - 20.10.2015 18:02 - Riccardo Vitelli
- Description updated

- Assignee deleted (Ilvan Herrero)

#12 - 20.10.2015 18:02 - Riccardo Vitelli

- Status changed from Code: Rev to Unit: Rev

#13 - 21.10.2015 15:37 - Riccardo Vitelli

- Description updated

#14 - 21.10.2015 15:37 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#15 - 22.10.2015 15:26 - Riccardo Vitelli
- Status changed from Unit: Impl to Closed

#16 - 22.10.2015 15:27 - Riccardo Vitelli

- Description updated

#17 - 26.10.2015 15:04 - lvan Herrero

- Description updated
